post
https://sandbox.saner.secpod.com/AncorWebService/perform
List the action codes and values used in audit logs.
This method fetches the action codes and values of the audit logs.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| tool | Tool codes for which audit action codes are requested | Yes | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Account.getAuditActionCodes(
tool=['8000','2000']
)
print(response)
client.close()Requires Python 3.9 or later.